﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr234_2
{
    class Program
    {
        // Статический метод:
        static void MyMethod(int x)
        {
            // Проверка на четность:
            if (x % 2 == 0)
                // Генерация исключения, если число четное:
                throw new ArithmeticException(x + " - число четное");
            else
                // Генерация исключения, если число нечетное:
                throw new OverflowException(x + " - число нечетное");
        }
        // Главный метод:
        static void Main()
        {
            Console.WriteLine("Вводите числа по-одному:");
            while (true)
            {
                try
                {
                    // Перевод строки в число:
                    int x = Convert.ToInt32(Console.ReadLine()); 
                    // Вызов метода:
                    MyMethod(x);
                }
                // Важен порядок следования исключений!
                catch (OverflowException e)
                {
                    // Обработка исключения соответствующего типа:
                    Console.WriteLine(e.Message);
                }
                catch (ArithmeticException e)
                {
                    // Обработка исключения соответствующего типа:
                    Console.WriteLine(e.Message);
                }
                catch (Exception e)
                {
                    // Обработка исключения, возникшего при невозможности 
                    // перевода строки в число:
                    Console.WriteLine("Программа закончила свою работу!");
                    break;
                }
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
